Gallery Platform API
Reference

List shows

Lists the gallery's shows — exhibitions and art fairs — newest first, with cursor pagination. Filter by show_type, visibility, or a title query.

GET
/gallery/shows

Lists the gallery's shows — exhibitions and art fairs — newest first, with cursor pagination. Filter by show_type, visibility, or a title query.

Authorization

bearerAuth shows:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: shows:read

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string
show_type?string

Value in

  • "exhibition"
  • "art_fair"
visibility?string

Value in

  • "public"
  • "unlisted"
  • "private"
q?string
Length1 <= length <= 200
tag_id?array<string>
Items1 <= items <= 10

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "slug": "string",      "show_type": "exhibition",      "title": "string",      "subtitle": "string",      "summary": "string",      "press_release": "string",      "start_date": "string",      "end_date": "string",      "location_id": "string",      "venue_name": "string",      "art_fair_id": "string",      "booth": "string",      "checklist_list_id": "string",      "cover_image_path": "string",      "cover_url": "string",      "visibility": "public",      "is_cancelled": true,      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}